Subject: Re: [RFC] powerpc: Document new property called interrupt-parents

From: David Gibson <[email-masked]>
Date: Thu, 1 Mar 2007 10:38:01 +1100

On Wed, Feb 28, 2007 at 08:56:55AM -0700, Yoder Stuart-B08248 wrote:
> 
> > -----Original Message-----
> > From: David Gibson [mailto:[email-masked]] 
> > Sent: Tuesday, February 27, 2007 6:56 PM
> > To: Yoder Stuart-B08248
> > Cc: [email-masked]; [email-masked]
> > Subject: Re: [RFC] powerpc: Document new property called 
> > interrupt-parents
> > 
> > On Tue, Feb 27, 2007 at 04:54:45PM -0600, Stuart Yoder wrote:
> > > 
> > > Document new property called interrupt-parents which can
> > > be used to represent interrupts for devices that route
> > > interrupts to more than one interrupt controller.
> > 
> > Well, whatever Segher says, I'm still very concerned about the
> > potential for extra difficulty in debugging with this approach.
> 
> The issue, as I understand it, is the potential for an old
> kernel parser to silently misparse a new dev tree with this
> new property.
> 
> Do the version and last_comp_version in the blob header
> help here?

Unfortunately not.  Those fields version the the serialization format
of the device tree, not the content of the device tree.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson